qcode
  • 创作工场专业版,一问多答!更智能、更完整、更原创
  • 这是一个超强内容创作平台,它会写文章、做设计、绘图、敲代码,有问必答!
🔥点击使用-高级专业版🔥

用C#写一个autocad插件,可以快速闭合所有多段线

时间2023-03-23 09:02:25 提问来自 浙江省杭州市 的网友 分类创作 浏览402
using Autodesk.AutoCAD.ApplicationServices; using Autodesk.AutoCAD.DatabaseServices; using Autodesk.AutoCAD.EditorInput; using Autodesk.AutoCAD.Runtime; namespace ClosePolyline { public class Commands { [CommandMethod("CloseAll")] public void CloseAll() { Document doc = Application.DocumentManager.MdiActiveDocument; Database db = doc.Database; Editor ed = doc.Editor; PromptSelectionResult psr = ed.GetSelection(); if (psr != null) { SelectionSet ss = psr .Value ; foreach (ObjectId id in ss .GetObjectIds()) { using (Transaction trans = db .TransactionManager .StartTransaction()) { Entity ent = trans .GetObject(id, OpenMode .ForWrite) as Entity ; if (ent is Polyline) { Polyline pline = ent as Polyline ; pline .Closed=true ; } trans .Commit() ; } } } else ed .WriteMessage("No objects selected.") ; } } }

点击这里,进行内容创作

创作工场 免责声明:
以上内容除特别注明外均来源于网友提问,创作工场回答,未经许可,严谨转载。
点击这里>>使用🔥专业版,更聪明、更完整、更原创!

上一篇 企业品保部部门工作方针:品质成本优先,顾客满意至上 500字心得 下一篇 通过以上探索,你认为自己在检测技术与仪器专业(包括心仪专业)有可能的职业去向有哪些?请列出2~5个职业(含行业/职业/岗位)